JBoss API: Class JmsManagedConnectionFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.ra
Class JmsManagedConnectionFactory

    java.lang.Object
      |
      +--org.jboss.jms.ra.JmsManagedConnectionFactory

All Implemented Interfaces:
  javax.resource.spi.ManagedConnectionFactory

public class JmsManagedConnectionFactory
extends java.lang.Object
implements javax.resource.spi.ManagedConnectionFactory

JmsManagedConnectionFactory.java Created: Sat Mar 31 03:08:35 2001

Version:
  $Revision: 1.1.4.2 $
Author:
  Peter Antman.

Constructor Summary
`JmsManagedConnectionFactory()`

Method Summary
`java.lang.Object` | `createConnectionFactory()` Create a "non managed" connection factory.
`java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)` Create a ConnectionFactory with appserver hook
`javax.resource.spi.ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo info)` Create a new connection to manage in pool
`boolean` | `equals(java.lang.Object obj)`
`JMSProviderAdapter` | `getJmsProviderAdapter()`
`java.lang.String` | `getJmsProviderAdapterJNDI()`
`java.io.PrintWriter` | `getLogWriter()`
`int` | `hashCode()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set connectionSet, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo info)` Match a set of connections from the pool
`void` | `setJmsProviderAdapter(JMSProviderAdapter adapter)` For local access
`void` | `setJmsProviderAdapterJNDI(java.lang.String jndi)`
`void` | `setLogWriter(java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsManagedConnectionFactory

    public JmsManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public java.lang.Object createConnectionFactory()
                                             throws javax.resource.ResourceException

  Create a "non managed" connection factory. No appserver involved
  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`

### createConnectionFactory

    public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)
                                             throws javax.resource.ResourceException

  Create a ConnectionFactory with appserver hook
  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo info)
                                                                 throws javax.resource.ResourceException

  Create a new connection to manage in pool
  Specified by:
    `createManagedConnection` in interface `javax.resource.spi.ManagedConnectionFactory`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set connectionSet,
                                                                        javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo info)
                                                                 throws javax.resource.ResourceException

  Match a set of connections from the pool
  Specified by:
    `matchManagedConnections` in interface `javax.resource.spi.ManagedConnectionFactory`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws javax.resource.ResourceException

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws javax.resource.ResourceException

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `javax.resource.spi.ManagedConnectionFactory`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ManagedConnectionFactory`
  Overrides:
    `hashCode` in class `java.lang.Object`

### setJmsProviderAdapterJNDI

    public void setJmsProviderAdapterJNDI(java.lang.String jndi)

### getJmsProviderAdapterJNDI

    public java.lang.String getJmsProviderAdapterJNDI()

### setJmsProviderAdapter

    public void setJmsProviderAdapter(JMSProviderAdapter adapter)

  For local access

### getJmsProviderAdapter

    public JMSProviderAdapter getJmsProviderAdapter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.